You are not logged in.

#1 2005-02-06 13:04:11

Kin
Member
From: Oberfranken / Europe
Registered: 2004-01-23
Posts: 137

Equinox Desktop Environment 1.0.2

Equinox Desktop Environment 1.0.2 was just released


http://ede.sourceforge.net/cgi-bin/page.py?home

It would be great if we had a package ofr it in arch...


Kin

Offline

#2 2005-02-09 01:13:27

k-dub
Member
Registered: 2004-11-12
Posts: 49

Re: Equinox Desktop Environment 1.0.2

I gave it a shot ... not sure if it's a good build or not.

Here's the one dependency, eFLTK:

pkgname=efltk
pkgver=2.0.4
pkgrel=1
pkgdesc="Extended Fast Light Toolkit"
url="http://ede.sourceforge.net/"
license="LGPL"
depends=()
makedepends=()
conflicts=()
replaces=()
backup=()
install=
source=(http://kent.dl.sourceforge.net/sourceforge/ede/$pkgname-$pkgver.tar.bz2)
md5sums=('8bc5e6e51a1a1a9fde2833220a5a6701')

build() {
  cp $startdir/efltk.spec.in $startdir/src/$pkgname
  cd $startdir/src/$pkgname
  ./configure --prefix=/usr --enable-xft --enable-opengl --enable-plugins --enable-utf8 --disable-mysql --disable-unixODBC
  make || return 1
  install -d $startdir/pkg/usr/lib
  make install prefix=$startdir/pkg/usr
}

and here's EDE:

pkgname=ede
pkgver=1.0.2
pkgrel=1
pkgdesc="Equinox Desktop Environment"
url="http://ede.sourceforge.net/"
license="GPL"
depends=('efltk')
makedepends=()
conflicts=()
replaces=()
backup=()
install=
source=(http://kent.dl.sourceforge.net/sourceforge/ede/$pkgname-$pkgver.tar.bz2)
md5sums=('7b036e7ee9e5b9a9f688c0cdc5224c17')

build() {
  cd $startdir/src/$pkgname
  ./configure --prefix=/usr
  make || return 1
  install -d $startdir/pkg/usr/bin
  #make DESTDIR=$startdir/pkg install
  make install prefix=$startdir/pkg/usr
}

Enjoy!

Offline

#3 2005-02-10 09:31:03

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 553

Re: Equinox Desktop Environment 1.0.2

Hi

PKGBUILD look good, dependencies are rather small - from what I remeber
it's libjpeg, the x-server and prolly gcc since it's all c++
Some screenies on Archlinux and my PKGBUILD, I'll try to make them "round" soon:
http://www.justdreams.de/archlinux/imag … enies/ede/

Offline

#4 2006-11-12 02:53:00

Cotton
Member
From: Cornwall, UK
Registered: 2004-09-17
Posts: 568

Re: Equinox Desktop Environment 1.0.2

Anyone prepared to update and adopt ede 1.1 & efltk 2.0.6?

Using the PKGBUILDs in this thread, the latest efltk gave:

/var/abs/local/efltk/src/efltk/efltk/Fl_Text_Buffer.h:81: error: extra qualification 'Fl_Text_Buffer::' on member 'static_buffer'
make[2]: *** [Fl_Text_Buffer.shared.o] Error 1

Offline

#5 2006-11-12 19:28:13

neri
Forum Fellow
From: Victoria, Canada
Registered: 2003-05-04
Posts: 553

Re: Equinox Desktop Environment 1.0.2

Cotton wrote:

Anyone prepared to update and adopt ede 1.1 & efltk 2.0.6?

Using the PKGBUILDs in this thread, the latest efltk gave:

/var/abs/local/efltk/src/efltk/efltk/Fl_Text_Buffer.h:81: error: extra qualification 'Fl_Text_Buffer::' on member 'static_buffer'
make[2]: *** [Fl_Text_Buffer.shared.o] Error 1

That error message is not really sufficient, but my best guess is
that you hit some incompatibilities between ede and gcc4.1.
But Honestly, I'm fishing here.

   -neri

Offline

#6 2006-11-12 19:55:18

Cotton
Member
From: Cornwall, UK
Registered: 2004-09-17
Posts: 568

Re: Equinox Desktop Environment 1.0.2

From the project's forum it looks as if they now use SVN repositories for their code.  So the current PKGBUILDs are out of date.

Anyone up to the challenge?

Offline

#7 2006-11-13 09:49:44

shamrok
Member
From: Poland, Kraków
Registered: 2006-02-20
Posts: 61

Re: Equinox Desktop Environment 1.0.2

From sourceforge of project page:

Here is quick hack for problem so you can try to apply it:
- go to directory where you extracted efltk
- then try to open Fl_Text_Buffer.h (it is in efltk headers
directory)
- go to line 81 and instead

"char* Fl_Text_Buffer::static_buffer();"

place

"char* static_buffer();"

Then run "make clean" and "make".

Let we go with the second try smile Use previous steps, but
this time with Fl_Combo_Box.h file. Locate lines 26 and 27
and instead:

static void Fl_Combo_Box::cb_browse(Fl_Widget *w, void *data);
static void Fl_Combo_Box::cb_button(Fl_Widget *w, void *data);

put:

static void cb_browse(Fl_Widget *w, void *data);
static void cb_button(Fl_Widget *w, void *data);

I got some error about missing library, so I copied files from build directory of efltk /lib to /usr/lib, and it compiled sucessfuly.

After that I tried to compile ede but it says that version of efltk is too old, so I edited configure file to skip checking for efltk version by removing some code (quick and dirty but works) wink

EFLTK_VERSION="`efltk-config --version`"
case "$EFLTK_VERSION" in "2.0."[34])
                echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
        ;;
        *)
        { { echo "$as_me:$LINENO: error: It seems that you have older efltk version. Required is >= 2.0.3" >&5
echo "$as_me: error: It seems that you have older efltk version. Required is >= 2.0.3" >&2;}
   { (exit 1); exit 1; }; }
esac

It compiles and runs fine, but it is quite ugly, looks like kde 2.x or windows 95 ;P

Offline

#8 2006-11-13 19:21:39

test1000
Member
Registered: 2005-04-03
Posts: 834

Re: Equinox Desktop Environment 1.0.2

but it's probably fast! like windows 95! smile confirm?


KISS = "It can scarcely be denied that the supreme goal of all theory is to make the irreducible basic elements as simple and as few as possible without having to surrender the adequate representation of a single datum of experience." - Albert Einstein

Offline

#9 2006-11-13 19:34:45

shamrok
Member
From: Poland, Kraków
Registered: 2006-02-20
Posts: 61

Re: Equinox Desktop Environment 1.0.2

Yes, it's fast, but crashed after adding icon on desktop wink

Offline

#10 2006-11-14 21:05:39

test1000
Member
Registered: 2005-04-03
Posts: 834

Re: Equinox Desktop Environment 1.0.2

like windows 95 aswell! XD


KISS = "It can scarcely be denied that the supreme goal of all theory is to make the irreducible basic elements as simple and as few as possible without having to surrender the adequate representation of a single datum of experience." - Albert Einstein

Offline

#11 2006-12-31 12:15:08

punakuono
Member
From: Tampere, Finland
Registered: 2006-12-17
Posts: 11

Re: Equinox Desktop Environment 1.0.2

If anyone is still interested...:
PKGBUILD for efltk-svn:

pkgname=efltk-svn
pkgver=20061231
pkgrel=1
pkgdesc="Extended Fast Light Toolkit"
url="http://ede.sourceforge.net/"
license="LGPL"
depends=()
makedepends=(subversion)
provides=(efltk)
conflicts=(efltk)
replaces=(efltk-svn)
backup=()
install=
source=()
md5sums=()

_svnmod="efltk"
_svntrunk="https://ede.svn.sourceforge.net/svnroot/ede/trunk/efltk"

build() {
  cd $startdir
  # Be sure to have a ~/.subversion.  If it doesn't exist, touch it.
  touch ~/.subversion
  svn co $_svntrunk $_svnmod
  cd $_svnmod
  msg "SVN checkout done or server timeout"
  msg "Starting make..."
  ./configure --prefix=/usr --enable-xft --enable-opengl --enable-plugins --enable-utf8 --disable-mysql --disable-unixODBC
  make || return 1  
  install -d $startdir/pkg/usr/lib
  make install prefix=$startdir/pkg/usr
}

... and ede-svn:

pkgname=ede-svn
pkgver=20061231
pkgrel=1
pkgdesc="Equinox Desktop Environment"
url="http://ede.sourceforge.net/"
license="GPL"
depends=(efltk-svn)
makedepends=(subversion)
provides=(ede)
conflicts=(ede)
replaces=(ede-svn)
backup=()
install=
source=()
md5sums=()

_svnmod="ede"
_svntrunk="https://ede.svn.sourceforge.net/svnroot/ede/trunk/ede"

build() {
  cd $startdir
  # Be sure to have a ~/.subversion.  If it doesn't exist, touch it.
  touch ~/.subversion
  svn co $_svntrunk $_svnmod
  cd $_svnmod
  msg "SVN checkout done or server timeout"
  msg "Starting make..."

  autoconf
  ./configure --prefix=/usr
  make || return 1 
  mkdir -p $startdir/pkg/usr/bin 
  install -d $startdir/pkg/usr/bin
  #make DESTDIR=$startdir/pkg install
  make install prefix=$startdir/pkg/usr
}

Offline

#12 2011-03-12 11:24:50

sbfreak
Member
Registered: 2010-06-06
Posts: 149

Re: Equinox Desktop Environment 1.0.2

Anyone still interested in this?
I am thinking of giving it a try but there's nothing in AUR.
The 2.0 beta looks nice.

Offline

#13 2011-03-13 04:03:12

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,424
Website

Re: Equinox Desktop Environment 1.0.2


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB